package ru.yandex.webmaster3.storage.turbo.service.css;

/**
 * Сущность для передачи фронту сообщений об ошибках в css
 * Created by Oleg Bazdyrev on 22/05/2018.
 */
public class TurboCssErrorInfo {

    private final TurboCssErrorType code;
    private final Integer lineNumber;
    private final Integer posNumber;
    private final String rule;
    private final String message;

    public TurboCssErrorInfo(TurboCssErrorType code, Integer lineNumber, Integer posNumber, String rule, String message) {
        this.code = code;
        this.lineNumber = lineNumber;
        this.posNumber = posNumber;
        this.rule = rule;
        this.message = message;
    }

    public TurboCssErrorType getCode() {
        return code;
    }

    public Integer getLineNumber() {
        return lineNumber;
    }

    public Integer getPosNumber() {
        return posNumber;
    }

    public String getRule() {
        return rule;
    }

    public String getMessage() {
        return message;
    }
}
